<?php
namespace Entity;

class ResultsEntity
{
    private int $idQuiz;

    public function getIdUser(): int
    {
        return $this->idUser;
    }

    public function setIdUser(int $idUser): void
    {
        $this->idUser = $idUser;
    }

    public function getIdQuiz(): int
    {
        return $this->idQuiz;
    }

    public function setIdQuiz(int $idQuiz): void
    {
        $this->idQuiz = $idQuiz;
    }

    public function getTime(): int
    {
        return $this->time;
    }

    public function setTime(int $time): void
    {
        $this->time = $time;
    }

    public function getNbPts(): int
    {
        return $this->nbPts;
    }

    public function setNbPts(int $nbPts): void
    {
        $this->nbPts = $nbPts;
    }

    private int $idUser;

    private int $nbPts;

    private int $time;

    /**
     * @param int $idQuiz
     * @param int $idUser
     * @param int $time
     * @param int $nbPts
     */
    public function __construct(int $idQuiz, int $idUser, int $time, int $nbPts)
    {
        $this -> idQuiz = $idQuiz;
        $this -> idUser = $idUser;
        $this -> time = $time;
        $this -> nbPts = $nbPts;
    }


}
